<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_practice_gmb_location_state".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderPracticeGmbLocationState".
 *
 * Columns in table "provider_practice_gmb_location_state" available as properties of the model,
 * followed by relations of table "provider_practice_gmb_location_state" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_practice_gmb_id
 * @property integer $is_verified
 * @property integer $is_duplicate
 * @property integer $is_suspended
 * @property integer $is_disabled
 * @property integer $is_published
 * @property integer $is_disconnected
 * @property integer $is_pending_review
 * @property integer $is_google_updated
 * @property integer $is_local_post_api_disabled
 * @property integer $has_pending_verification
 * @property integer $can_update
 * @property integer $can_delete
 * @property integer $needs_reverification
 *
 * @property ProviderPracticeGmb $providerPracticeGmb
 */
abstract class BaseProviderPracticeGmbLocationState extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_practice_gmb_location_state';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderPracticeGmbLocationState|ProviderPracticeGmbLocationStates', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('provider_practice_gmb_id', 'required'),
            array('provider_practice_gmb_id, is_verified, is_duplicate, is_suspended, is_disabled, is_published, is_disconnected, is_pending_review, is_google_updated, is_local_post_api_disabled, has_pending_verification, can_update, can_delete, needs_reverification', 'numerical', 'integerOnly'=>true),
            array('is_verified, is_duplicate, is_suspended, is_disabled, is_published, is_disconnected, is_pending_review, is_google_updated, is_local_post_api_disabled, has_pending_verification, can_update, can_delete, needs_reverification', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_practice_gmb_id, is_verified, is_duplicate, is_suspended, is_disabled, is_published, is_disconnected, is_pending_review, is_google_updated, is_local_post_api_disabled, has_pending_verification, can_update, can_delete, needs_reverification', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'providerPracticeGmb' => array(self::BELONGS_TO, 'ProviderPracticeGmb', 'provider_practice_gmb_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_practice_gmb_id' => null,
            'is_verified' => Yii::t('app', 'Is Verified'),
            'is_duplicate' => Yii::t('app', 'Is Duplicate'),
            'is_suspended' => Yii::t('app', 'Is Suspended'),
            'is_disabled' => Yii::t('app', 'Is Disabled'),
            'is_published' => Yii::t('app', 'Is Published'),
            'is_disconnected' => Yii::t('app', 'Is Disconnected'),
            'is_pending_review' => Yii::t('app', 'Is Pending Review'),
            'is_google_updated' => Yii::t('app', 'Is Google Updated'),
            'is_local_post_api_disabled' => Yii::t('app', 'Is Local Post Api Disabled'),
            'has_pending_verification' => Yii::t('app', 'Has Pending Verification'),
            'can_update' => Yii::t('app', 'Can Update'),
            'can_delete' => Yii::t('app', 'Can Delete'),
            'needs_reverification' => Yii::t('app', 'Needs Reverification'),
            'providerPracticeGmb' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_practice_gmb_id', $this->provider_practice_gmb_id);
        $criteria->compare('is_verified', $this->is_verified);
        $criteria->compare('is_duplicate', $this->is_duplicate);
        $criteria->compare('is_suspended', $this->is_suspended);
        $criteria->compare('is_disabled', $this->is_disabled);
        $criteria->compare('is_published', $this->is_published);
        $criteria->compare('is_disconnected', $this->is_disconnected);
        $criteria->compare('is_pending_review', $this->is_pending_review);
        $criteria->compare('is_google_updated', $this->is_google_updated);
        $criteria->compare('is_local_post_api_disabled', $this->is_local_post_api_disabled);
        $criteria->compare('has_pending_verification', $this->has_pending_verification);
        $criteria->compare('can_update', $this->can_update);
        $criteria->compare('can_delete', $this->can_delete);
        $criteria->compare('needs_reverification', $this->needs_reverification);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
